site_name: Amazon EKS Accelerator for Terraform
repo_name: "aws-samples/aws-eks-accelerator-for-terraform"
repo_url: "https://github.com/aws-samples/aws-eks-accelerator-for-terraform"
docs_dir: "docs"
theme:
  name: material
  features:
    - tabs
nav:
  - Overview: 'index.md'
  - Cluster Upgrades: 'cluster-upgrades.md'
  - ECR Instructions: 'ecr-instructions.md'
  - Add-ons:
    - Overview: 'add-ons/index.md'
    - Agones: 'add-ons/agones.md'
    - AWS for Fluent Bit: 'add-ons/aws-for-fluent-bit.md'
    - AWS Load Balancer Controller: 'add-ons/aws-load-balancer-controller.md'
    - AWS Distro for OpenTelemetry: 'add-ons/aws-open-telemetry.md'
    - cert-manager: 'add-ons/cert-manager.md'
    - Cluster Autoscaler: 'add-ons/cluster-autoscaler.md'
    - Fargate Fluent Bit: 'add-ons/fargate-fluent-bit.md'
    - Managed Add-ons: 'add-ons/managed-add-ons.md'
    - Metrics Server: 'add-ons/metrics-server.md'
    - Nginx: 'add-ons/nginx.md'
    - OpenTelemetry: 'add-ons/open-telemetry.md'
    - Prometheus: 'add-ons/prometheus.md'
    - Traefik: 'add-ons/traefik.md'
    - Windows VPC Controllers: 'add-ons/windows-vpc-controllers.md'
markdown_extensions:
  - def_list
  - pymdownx.highlight
  - pymdownx.superfences
  - pymdownx.inlinehilite
  - pymdownx.tasklist:
      custom_checkbox: true
  - toc:
      permalink: true
plugins:
  - search
